unit Unit2;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls,
  ExtCtrls;

type

  { TEingabe }

  TEingabe = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Image1: TImage;
    Image5: TImage;
    Image2: TImage;
    Image6: TImage;
    Image3: TImage;
    Image7: TImage;
    Image4: TImage;
    Image8: TImage;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure ImageClick(Sender: TObject);
  private
   QuellLabel: Tcontrol;
  public
   property Quelle: tcontrol read QuellLabel write QuellLabel;
  end;

var
  Eingabe: TEingabe;
  rueckgabe : tobject;
  labeltext : string;

implementation
  uses Unit1;
{$R *.lfm}

{ TEingabe }


  procedure TEingabe.Button1Click(Sender: TObject);
  var i : integer;
  begin
   labeltext := Label1.caption + Label2.caption + Label3.caption + Label4.caption;
   i := strtoint(labeltext);
   labeltext := inttostr(i);
   QuellLabel.Caption := labelText;
   Eingabe.visible := false;
  end;

  procedure TEingabe.Button2Click(Sender: TObject);
  begin
   Eingabe.visible := false;
  end;

  procedure TEingabe.FormActivate(Sender: TObject);
  var i : integer;
    dummy : string;
  begin
    rueckgabe := QuellLabel;
    dummy := (rueckgabe as tlabel).caption;
    i := length(dummy);
    case i of
        1: begin
            dummy := '000' + dummy;
           end;
        2: begin
            dummy := '00' + dummy;
           end;
        3: begin
            dummy := '0' + dummy;
           end;
     end;
     Label1.caption := copy(dummy,1,1);
     Label2.caption := copy(dummy,2,1);
     Label3.caption := copy(dummy,3,1);
     Label4.caption := copy(dummy,4,1);
  end;

procedure TEingabe.ImageClick(Sender: TObject);
var
  UpDown : tobject;
  ImageName : string;
  ImageNummer, LabelNummer : integer;
  ZielLabel : tobject;
begin
  UpDown := sender;
  ImageName := (UpDown as Timage).name;
  ImageNummer := strtoint(copy(ImageName,6,1));
  if ImageNummer < 5 then LabelNummer := ImageNummer else LabelNummer := ImageNummer - 4;
  Ziellabel := TLabel(FindComponent('Label'+inttostr(LabelNummer)));
  case ImageNummer of
    1..4:
      begin
//       if strtoint(TLabel(FindComponent('Label'+inttostr(LabelNummer))).Caption) < 9 then TLabel(FindComponent('Label'+inttostr(LabelNummer))).Caption := inttostr(strtoint(TLabel(FindComponent('Label'+inttostr(LabelNummer))).Caption) + 1) else TLabel(FindComponent('Label'+inttostr(LabelNummer))).Caption := '0';
       if strtoint((Ziellabel as TLabel).Caption) < 9 then (Ziellabel as TLabel).Caption := inttostr(strtoint((Ziellabel as TLabel).Caption) + 1) else (Ziellabel as TLabel).Caption := '0';
      end;
    5..8:
      begin
//       if strtoint(TLabel(FindComponent('Label'+inttostr(LabelNummer))).Caption) > 0 then TLabel(FindComponent('Label'+inttostr(LabelNummer))).Caption := inttostr(strtoint(TLabel(FindComponent('Label'+inttostr(LabelNummer))).Caption) - 1) else TLabel(FindComponent('Label'+inttostr(LabelNummer))).Caption := '9';
       if strtoint((Ziellabel as TLabel).Caption) > 0 then (Ziellabel as TLabel).Caption := inttostr(strtoint((Ziellabel as TLabel).Caption) - 1) else (Ziellabel as TLabel).Caption := '9';
      end;
  end;
end;

end.

